<?php
/**
* @version      2.6.2 10.12.2010
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.application.component.controller');

class JshoppingControllerManufacturer extends JController{
	
	function display(){
		$jshopConfig = &JSFactory::getConfig();
		$manufacturer = &JTable::getInstance('manufacturer', 'jshop');
		$rows = $manufacturer->getAllManufacturers(1);
        $view_name = "manufacturer";
        $view_config = array("template_path"=>JPATH_COMPONENT."/templates/".$jshopConfig->template."/".$view_name);
        $view = &$this->getView($view_name, 'html', '', $view_config);
		$view->setLayout("manufacturers");
		$view->assign("rows", $rows);
		$view->assign("image_manufs_live_path", $jshopConfig->image_manufs_live_path);
        $view->assign('noimage', 'noimage.gif');
		$view->assign('count_manufacturer_to_row', $jshopConfig->count_category_to_row);        
		$view->display();
	}	
	
	function view(){
	    $mainframe =& JFactory::getApplication();
		$jshopConfig = &JSFactory::getConfig();
		
        $manufacturer_id = JRequest::getInt('manufacturer_id');
		$manufacturer = &JTable::getInstance('manufacturer', 'jshop');		
		$manufacturer->load($manufacturer_id);
		$manufacturer->getDescription();
        
        if ($manufacturer->manufacturer_publish==0){
            JError::raiseError( 404, _JSHOP_PAGE_NOT_FOUND);
            return;
        }
		
        appendPathWay($manufacturer->name);
        
        if ($manufacturer->meta_title=="") $manufacturer->meta_title = $manufacturer->name;
        setMetaData($manufacturer->meta_title, $manufacturer->meta_keyword, $manufacturer->meta_description);
        
		$action = SEFLink("index.php?option=com_jshopping&controller=manufacturer&task=view&manufacturer_id=".$manufacturer_id);
        
        if (!$manufacturer->products_page){
		    $manufacturer->products_page = $jshopConfig->count_products_to_page; 
        }
        $count_product_to_row = $manufacturer->products_row;
        if (!$count_product_to_row){
		    $count_product_to_row = $jshopConfig->count_products_to_row;
        }
				
		$context = "jshoping.manufacturlist.front.product";
        $orderby = $mainframe->getUserStateFromRequest( $context.'orderby', 'orderby', 0, 'int');
        $order = $mainframe->getUserStateFromRequest( $context.'order', 'order', 1, 'int');
        $limit = $mainframe->getUserStateFromRequest( $context.'limit', 'limit', $manufacturer->products_page, 'int');
        if (!$limit) $limit = $manufacturer->products_page;
        $limitstart = JRequest::getInt('limitstart');

        if($orderby) {
            $orderbyq = "DESC";
            $image_arr = 'arrow_down.gif';
        } else {
            $orderbyq = "ASC";
            $image_arr = 'arrow_up.gif';
        }
        $field_order = $jshopConfig->sorting_products_field_select[$order]; 
				                
        $total = $manufacturer->getCountProducts();
       
        jimport('joomla.html.pagination');
        $pagination = new JPagination($total, $limitstart, $limit);            
        $pagenav = $pagination->getPagesLinks();
                        
		$rows = $manufacturer->getProducts($field_order, $orderbyq, $limitstart, $limit);
		addLinkToProducts($rows, 0, 1);		
	
		foreach ($jshopConfig->sorting_products_name_s_select as $key => $value) {            
            $sorts[] = JHTML::_('select.option', $key, $value, 'sort_id', 'sort_value' );
        }

        insertValueInArray($manufacturer->products_page, $jshopConfig->count_product_select); //insert products_page count
        foreach ($jshopConfig->count_product_select as $key => $value) {            
            $product_count[] = JHTML::_('select.option',$key, $value, 'count_id', 'count_value' );
        }        
        $sorting_sel = JHTML::_('select.genericlist', $sorts, 'order', 'class = "inputbox" size = "1" onchange = "changeSortCountProducts(0)"','sort_id', 'sort_value', $order );
        $product_count_sel = JHTML::_('select.genericlist', $product_count, 'limit', 'class = "inputbox" size = "1" onchange = "changeSortCountProducts(0)"','count_id', 'count_value', $limit );
        
        $_review = &JTable::getInstance('review', 'jshop');
        $allow_review = $_review->getAllowReview();        
        				
        $view_name = "manufacturer";
        $view_config = array("template_path"=>JPATH_COMPONENT."/templates/".$jshopConfig->template."/".$view_name);
        $view = &$this->getView($view_name, 'html', '', $view_config);        
		$view->setLayout("products");
        $view->assign('config', $jshopConfig);
		$view->assign("rows", $rows);
		$view->assign("image_product_path", $jshopConfig->image_product_live_path);
		$view->assign('noimage', 'noimage.gif');
		$view->assign("count_product_to_row", $count_product_to_row);
		$view->assign("manufacturer", $manufacturer);
        $view->assign('action', $action);
		$view->assign('orderby', $orderby);		
		$view->assign('product_count', $product_count_sel);
        $view->assign('sorting', $sorting_sel);		
        $view->assign('image_arr', $image_arr);
        $view->assign('image_path', $jshopConfig->live_path.'images');		
		$view->assign('navigation_products', $pagenav);        
        $view->assign('allow_review', $allow_review);        
        $view->assign('shippinginfo', SEFLink('index.php?option=com_jshopping&controller=content&task=view&page=shipping'));
        	
		$view->display();
	}	
}
?>